shishi_ap_set_tktoptionsasn1usage(3)

NAME
shishi_ap_set_tktoptionsasn1usage - API function

SYNOPSIS
#include <shishi.h>

int shishi_ap_set_tktoptionsasn1usage(Shishi_ap * ap, Shishi_tkt * tkt, int options, Shishi_asn1 node, const char * field, int authenticatorcksumkeyusage, int authenticatorkeyusage);

ARGUMENTS

Shishi_ap * ap
    structure that holds information about AP exchange

Shishi_tkt * tkt
    ticket to set in AP.

int options
    AP-REQ options to set in AP.

Shishi_asn1 node
    input ASN.1 structure to store as authenticator checksum data.

const char * field
    field in ASN.1 structure to use.

int authenticatorcksumkeyusage
    key usage for checksum in authenticator.

int authenticatorkeyusage
    key usage for authenticator.

DESCRIPTION
Set ticket, options and authenticator checksum data using shishi_ap_set_tktoptionsdata(). The authenticator checksum data is the DER encoding of the ASN.1 field provided.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.